Skip to main content
DELETE
Delete photo
Requires write:photos. Archives the gallery photo attachment and returns the archived record with a short-lived signed imageUrl.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
photoId
string
required

Response

200 - application/json

Photo archived

id
string
builderId
string | null
projectId
string | null
source
enum<string>

The BuildPass UI source that owns the photo attachment.

Available options:
GALLERY,
SITE_DIARY,
PRE_START,
CHECKLIST,
ITP,
PLATFORM_ACTION,
DEFECT
folderId
string | null
fileName
string
contentType
string
key
string
fileSize
string
description
string | null
photoTakenDate
string<date-time> | null
sortDate
string<date-time> | null
metadata
object | null
createdAt
string<date-time>
updatedAt
string<date-time>
archivedAt
string<date-time> | null
imageUrl
string<uri> | null

Short-lived signed URL for downloading the photo image.